Categories:
  - Phone & SMS
  - Internet
License: GPL-3.0-or-later
WebSite: https://jami.net/
SourceCode: https://git.jami.net/savoirfairelinux/jami-client-android
IssueTracker: https://git.jami.net/savoirfairelinux/jami-client-android/issues
Translation: https://www.transifex.com/savoirfairelinux/jami
Changelog: https://git.jami.net/savoirfairelinux/jami-client-android/tree/master/ring-android/fastlane/metadata/android/en-US/changelogs

AutoName: Jami
Description: |-
    Jami (formerly Ring and SFLphone) is a free distributed multimedia communication
    software. It is developed by Savoir-faire Linux with the help of a global
    community of users and contributors. Savoir-faire Linux is a Canadian company
    specialized in Linux and free software.

    Jami allows to make audio or video calls, and to send messages, safely and
    freely, in confidence. Jami is a Free and open source software that requires no
    central server.

    What can you do with Jami:

    * send text messages
    * make audio calls
    * make video calls
    * send files
    * use your existing SIP account

    There are plenty of ways to help us, check out: <a
    href="https://jami.net/contribute"></a>.

    Jami is inspired by a Swahili word that means "community".

    You can also install Jami on Windows, macOS, iOS and GNU/Linux.

RepoType: git
Repo: https://review.jami.net/jami-project

Builds:
  - versionName: 2.0.003
    versionCode: 20
    commit: 0011b9ba52b6ac3aab97a2bf42a608f83f0ec15c
    output: ring-android/app/build/outputs/apk/app-release-unsigned.apk
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ring-android/gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - ./compile.sh release

  - versionName: 2.0.009
    versionCode: 27
    commit: 4423b10e1dd8601d00486e1b78d39180cb45f410
    subdir: ring-android/app/src/main
    output: ../../build/outputs/apk/app-release-unsigned.apk
    build:
      - pushd ../../../../
      - echo -e '#!/bin/sh\ngradle "$@"' > ring-android/gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - ./compile.sh release
      - popd

  - versionName: 2.0.011
    versionCode: 29
    commit: 5ec1903a9fff4f267ee7043f778c70d5b0a3be49
    subdir: ring-android/app/src/main
    output: ../../build/outputs/apk/app-release-unsigned.apk
    build:
      - pushd ../../../../
      - echo -e '#!/bin/sh\ngradle "$@"' > ring-android/gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - ./compile.sh release
      - popd

  - versionName: 2.0.012b
    versionCode: 31
    commit: 729d6d1f60ab3162811d6ea01100779427a42778
    subdir: ring-android/app/src/main
    output: ../../build/outputs/apk/app-release-unsigned.apk
    build:
      - pushd ../../../../
      - echo -e '#!/bin/sh\ngradle "$@"' > ring-android/gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - ./compile.sh release
      - popd

  - versionName: '20160315'
    versionCode: 34
    commit: d432dc26775397efbb81d99582f45dfe5e1388f7
    subdir: ring-android/app/src/main
    output: ../../build/outputs/apk/app-release-unsigned.apk
    build:
      - pushd ../../../../
      - echo -e '#!/bin/sh\ngradle "$@"' > ring-android/gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - ./compile.sh release
      - popd

  - versionName: '20160427'
    versionCode: 42
    disable: builds
    commit: 00e089c75376e4c27536cb6a8e900b9a16466002
    subdir: ring-android/app
    output: build/outputs/apk/app-universal-release-unsigned.apk
    srclibs:
      - ringd@HEAD
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - export DAEMON_DIR=`readlink -f $$ringd$$`
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20160520'
    versionCode: 44
    commit: a0273fd0334764924b62a6dbaf1b17b45cdd1dc0
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-universal-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20160526'
    versionCode: 45
    commit: e1b33489dcb8473d7163029ca5faa93e4f0f8147
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-universal-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20160610'
    versionCode: 49
    commit: 73cfbb9707b39dfed19753a94ba912f66c07f2b0
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-universal-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20160803'
    versionCode: 50
    commit: dfb25485e747864697c9f1bb4d0ac82cd6949ca0
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-universal-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20160816'
    versionCode: 52
    disable: failing build
    commit: a61de1fa5d0c16e4919eb790f37070d9c09e7274
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-universal-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release
    ndk: r10e

  - versionName: '20161103'
    versionCode: 53
    commit: 17a06163cc94656b53bf762cefd377cdcf169db5
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161108'
    versionCode: 54
    commit: 7b381a62fba638106e5d71137a4e3351f9324b82
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161123'
    versionCode: 55
    commit: 3120ba5864b414f8a2d8cb606ed02fc0000f861f
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161130'
    versionCode: 56
    commit: 3a1eecdb97e6253900122cbe68418f01e8ff7098
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161208'
    versionCode: 57
    commit: cea5daa40e2a60deb6e2921c4b17f80993159dc8
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20161221'
    versionCode: 59
    commit: 9b106adb72189f12b900f6ebd53330b243ba29ff
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170118'
    versionCode: 60
    commit: 7c580b10b219d9a85c28aef8971ae4dfb251f0f2
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170119'
    versionCode: 61
    commit: 145dca1ffff78af3a747b0b638d17f9f5be4919c
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170126'
    versionCode: 63
    commit: 7e082b66c98a3df55c8ed11e7d21ec6553d8eccd
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170201'
    versionCode: 64
    commit: 23df36fae57192b7232e27dda7ca2bbcdefde9da
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170215'
    versionCode: 65
    commit: aa120c7551773cba8aebea291c3093fc92c5d3da
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170301'
    versionCode: 68
    disable: builds locally, but not on server
    commit: edd2c13863d66caad036a4961541f2d96cb0e024
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170303'
    versionCode: 69
    disable: builds locally, but not on server
    commit: 712dd41b1d6773104b6194f16a00e17f6a91f032
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170315'
    versionCode: 70
    disable: builds locally, but not on server
    commit: 06a3f0b740bd42e6de998964ae8c7f135990c6fe
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170322'
    versionCode: 71
    disable: builds locally, but not on server
    commit: ec25f0f76680d09945ccade2b796f2b0566db26c
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170329'
    versionCode: 72
    disable: builds locally, but not on server
    commit: 0eecf3dea3c5322b24ca483f1ce8e62b3f9262dc
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170405'
    versionCode: 73
    disable: builds locally, but not on server
    commit: d0ef36345e6dcdea1172d482ee287492effa25f3
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170412'
    versionCode: 74
    disable: builds locally, but not on server... ndk issue?
    commit: f0ec0251155c602b94d91909b5430f9953413b82
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release

  - versionName: '20170501'
    versionCode: 76
    disable: NDK issue
    commit: 628969d1bd199ccfcbcfbf4aae146fb261f4c6db
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - export PATH=$PATH:/opt/gradle/bin
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release
    ndk: r14

  - versionName: '20170516'
    versionCode: 78
    disable: NDK issue
    commit: fc2d83c
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\n/opt/gradle/bin/gradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release
    ndk: r14

  - versionName: '20170531'
    versionCode: 79
    disable: failing
    commit: 79f748e3ea0354a7ba3e25d30a3e0178a16658d0
    subdir: client-android/ring-android/app
    submodules: true
    output: build/outputs/apk/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - export PATH=$PATH:/opt/gradle/bin
      - sed -i -e "/MissingTranslation/adisable 'ExtraTranslation'\n" build.gradle
      - ln -s ../daemon/ ../../ring-daemon
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a"
      - cd ../../
      - ./compile.sh release
    ndk: r14b

  - versionName: '20171126'
    versionCode: 96
    commit: 84816c91a7db583f11442b7cda9751b15b211134
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    output: build/outputs/apk/release/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - chmod +x ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r15c

  - versionName: '20171129'
    versionCode: 97
    commit: cf5bbff85068826144e5c00832630294cd172e0e
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    output: build/outputs/apk/release/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - chmod +x ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r15c

  - versionName: '20171215'
    versionCode: 99
    commit: bc414d7cfb421d84b76ef048373fcb7ffe113aa0
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    output: build/outputs/apk/release/app-release-unsigned.apk
    scandelete:
      - client-windows
      - client-uwp
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - chmod +x ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r15c

  - versionName: '20180115'
    versionCode: 101
    commit: 8dea3991b3eca846ef83a5e68610c4961e0cc560
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    output: build/outputs/apk/release/app-release-unsigned.apk
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
    scandelete:
      - client-windows
      - client-uwp
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - chmod +x ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r15c

  - versionName: '20180201'
    versionCode: 102
    commit: b855d3232daef0cc7572c712239aa218ae5b8c89
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    output: build/outputs/apk/release/app-release-unsigned.apk
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
    scandelete:
      - client-windows
      - client-uwp
    build:
      - echo -e '#!/bin/sh\ngradle "$@"' > ../gradlew
      - chmod +x ../gradlew
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r15c

  - versionName: '20180421'
    versionCode: 116
    commit: 8ce06c1bc2ee0837281f6d05fe97393d2a351a59
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    patch:
      - 0001-gradle-remove-unneeded-repo.patch
    gradle:
      - noPush
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
      - sed -i -e '/$DAEMON_ONLY/,+7d' ../../compile.sh
    scandelete:
      - client-windows
      - client-uwp
    build:
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh release
    ndk: r16b

  - versionName: '20180501'
    versionCode: 117
    commit: 3b176a6abca66f1c0f1485cec57dfd87487e6d98
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    gradle:
      - noPush
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-27'
    scandelete:
      - client-windows
      - client-uwp
    build:
      - export ANDROID_NDK_ROOT=$ANDROID_NDK
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - cd ../../
      - ./compile.sh --release --no-gradle
    ndk: r16b

  - versionName: '20180712'
    versionCode: 127
    commit: af8399f830b9fd10689d2d11a4e76ddf576d2f40
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r16b

  - versionName: '20180805'
    versionCode: 129
    commit: ac674c27172339c0c4eb7fc23a560f694905efb0
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes -t jessie-backports swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r17b

  - versionName: '20190103'
    versionCode: 144
    commit: 621cd09ae6422be770584b11a7d202bc98150a74
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install --yes swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r17b

  - versionName: '20190503'
    versionCode: 156
    commit: 9165c93abb67ca90077fa3945ddf3e19b6c15d32
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r19c

  - versionName: 20190602-01
    versionCode: 169
    commit: android/release_169
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r19c

  - versionName: 20190824-01
    versionCode: 189
    commit: android/release_189
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r20

  - versionName: 20191122-01
    versionCode: 201
    commit: android/release_201
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r20

  - versionName: 20191208-01
    versionCode: 205
    commit: android/release_205
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r20

  - versionName: 20200107-01
    versionCode: 210
    commit: android/release_210
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r20b

  - versionName: 20200501-01
    versionCode: 238
    commit: android/release_238
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r21

  - versionName: 20200701-01
    versionCode: 249
    commit: android/release_249
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r21d

  - versionName: 20200710-01
    versionCode: 251
    commit: android/release_251
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r21d

  - versionName: 20200810-01
    versionCode: 255
    commit: android/release_255
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-windows
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86"
      - ./compile.sh --release --no-gradle
    ndk: r21d

  - versionName: 20201208-01
    versionCode: 277
    disable: fails to build
    commit: android/release_277
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21d

  - versionName: 20201222-01
    versionCode: 278
    commit: android/release_278
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.2'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21d

  - versionName: 20210210-01
    versionCode: 282
    commit: android/release_282
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.2'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21d

  - versionName: 20210222-01
    versionCode: 285
    commit: android/release_285
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.2'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21d

  - versionName: 20210226-01
    versionCode: 286
    commit: android/release_286
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild: $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21d

  - versionName: 20210409-01
    versionCode: 293
    commit: android/release_293
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21e

  - versionName: 20210421-01
    versionCode: 294
    commit: android/release_294
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r21e

  - versionName: 20210503-01
    versionCode: 296
    commit: android/release_296
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-electron
      - client-gnome
      - client-ios
      - client-macosx
      - client-uwp
      - client-qt
      - plugins
      - docker
      - docs
      - lrc
      - packaging
      - scripts
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
      - sed -i -e "s/ndkVersion '.*'/ndkVersion '22.1.7171670'/" build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r22b

  - versionName: 20210521-01
    versionCode: 301
    commit: 531663d0e8ba1e4ad217fc7083fcb2918e47cc83
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
      - sed -i -e "s/ndkVersion '.*'/ndkVersion '22.1.7171670'/" build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r22b

  - versionName: 20210813-01
    versionCode: 317
    disable: no such remote ref
    commit: android/release_317
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild:
      - $ANDROID_HOME/tools/bin/sdkmanager 'platforms;android-30' 'build-tools;30.0.3'
      - sed -i -e "s/ndkVersion '.*'/ndkVersion '22.1.7171670'/" build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r22b

  - versionName: 20210908-01
    versionCode: 318
    commit: android/release_318
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'platforms;android-30'
        'build-tools;30.0.3'
      - sed -i -e "s/ndkVersion '.*'/ndkVersion '22.1.7171670'/" build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r22b

  - versionName: 20210924-01
    versionCode: 320
    commit: android/release_320
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'platforms;android-30'
        'build-tools;30.0.3'
      - sed -i -e "s/ndkVersion '.*'/ndkVersion '22.1.7171670'/" build.gradle
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r22b

  - versionName: 20211210-01
    versionCode: 324
    commit: android/release_324
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'platforms;android-31' 'build-tools;31.0.0'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220121-01
    versionCode: 326
    commit: android/release_326
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t testing swig
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - noPush
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'platforms;android-31' 'build-tools;31.0.0'
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220311-01
    versionCode: 328
    commit: android/release_328
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'platforms;android-31' 'build-tools;31.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220422-01
    versionCode: 329
    commit: android/release_329
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'platforms;android-31' 'build-tools;31.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220426-01
    versionCode: 330
    commit: android/release_330
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'platforms;android-31' 'build-tools;32.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220527-01
    versionCode: 331
    commit: android/release_331
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'platforms;android-31' 'build-tools;31.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220602-01
    versionCode: 332
    commit: android/release_332
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'platforms;android-31' 'build-tools;31.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23

  - versionName: 20220607-01
    versionCode: 334
    commit: android/release_334
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'platforms;android-32' 'build-tools;32.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23c

  - versionName: 20220615-01
    versionCode: 335
    commit: android/release_335
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
      - pushd build/srclib/swig
      - ./autogen.sh
      - ./configure
      - make -j`nproc`
      - make install
      - popd
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-gnome
      - client-ios
      - client-macosx
      - client-qt
      - client-uwp
      - lrc
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - patches
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'platforms;android-32' 'build-tools;32.0.0' > /dev/null
    build:
      - cd ../..
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r23c

  - versionName: 20220906-01
    versionCode: 343
    disable: https://git.jami.net/savoirfairelinux/jami-client-android/-/issues/1114
    commit: e8c199719d334692563cfeb22975bfec680a3a91
    timeout: 10800
    subdir: client-android/ring-android/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake g++
      - update-alternatives --auto java
    gradle:
      - noPush
    srclibs:
      - swig@v4.0.2
    rm:
      - client-ios
      - client-macosx
      - client-qt
      - plugins
      - docker
      - docs
      - guix
      - packaging
      - scripts
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'platforms;android-32' 'build-tools;32.0.0' > /dev/null
    build:
      - cd ../..
      - pushd $$swig$$
      - ./autogen.sh
      - ./configure --prefix=$$swig$$
      - make -j`nproc`
      - make install
      - popd
      - export PATH=$$swig$$/bin:$PATH
      - export ANDROID_NDK_ROOT="$ANDROID_NDK"
      - export ANDROID_ABI="armeabi-v7a arm64-v8a x86_64"
      - ./compile.sh --release --daemon
    ndk: r25

MaintainerNotes: |-
    Ring has a lot of native dependencies, the source tarballs of these are all downloaded and build for all enabled architectures.
    Build failed with swig 2.0.12 from jessie but works with 3.0.10 from jessie-backports.
    We don't build for x86_64 to reduce apk size a bit, x86 should work as well for those devices(?).
    We DO build separately for arm64 because this is a fairly common architecture and improves performance over using the armv7 binaries.
    v103 introduces push notifications using gplay. Optional since 106 with noPush flavour.

AutoUpdateMode: None
UpdateCheckMode: Tags
CurrentVersion: 20220906-01
CurrentVersionCode: 343
